package com.bocloud.ims.interfaces.resource.fusionsphere;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.Cluster;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FusionSphereClusterService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/20 10:19
 */
public interface FusionSphereClusterService {

    BocloudResult<GridBean<Cluster>> list(Pager pager, RequestContext context);

    BocloudResult<Cluster> detail(Long id, RequestContext context);

    BocloudResult<Void> create(Cluster entityParams, RequestContext context);

    BocloudResult<Void> modify(Cluster modifyParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);


}